Back to Douyin
TikHub·Douyin
Douyin Web: Get user homepage video data
/api/v1/douyin/web/fetch_user_post_videossync$0.0015 / callGet user homepage video data. Note: Please try to use the APP interface instead of the WEB API, because the WEB API may be unstable. (TikHub · Douyin Web)
Input
| Field | Type | Required | Description |
|---|---|---|---|
| sec_user_id | string | yes | User secuserid |
| max_cursor | string | — | Maximum cursor (default "0") |
| count | integer | — | Number per page (default 20) |
| filter_type | string | — | Filter type (default "0") |
| cookie | string | — | Your web version of Douyin Cookie |
Run it
curl -s https://www.sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/douyin/web/fetch_user_post_videos","input":{}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.